Bug 832974 - auto-installation with BOOTIF=link fails because link is not detected
auto-installation with BOOTIF=link fails because link is not detected
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Fabian Deutsch
Depends On:
  Show dependency treegraph
Reported: 2012-06-18 06:01 EDT by Fabian Deutsch
Modified: 2016-04-26 13:09 EDT (History)
7 users (show)

See Also:
Fixed In Version: 2.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-09 07:47:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-06-18 06:01:25 EDT
Description of problem:
If selinux is enabled (and enforcing) ethtool will provide no output and thus the boot scripts can not determin the rgith interface to use in the case of BOOTIF=link.

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
After installation:
$ ethtool eth0
$ setenforce 0
$ ethtool eth0
... lots and lots of informations...
Comment 1 Fabian Deutsch 2012-06-18 10:51:39 EDT
Maybe it was to early to blame selinux for this, it could also be bug #833088
Comment 2 Fabian Deutsch 2012-06-19 07:03:39 EDT
The problem seemed to be that the interfaces need to be brought up before the link status can be checked with ethtool:

Comment 3 Fabian Deutsch 2012-06-19 07:18:18 EDT
Tested as follows:
1. Build ISO with above patch
2. Append "BOOTIF=link storage_init=/dev/vda" in a VM booting that iso
3. Wait for auto install to finish
4. Boot into single mode in installed VM
5. Set admin password by running ovirt-config-password and reboot
6. Login to TUI and check network connectivity
= Correct/first connected NIC was choosen

Note You need to log in before you can comment on or make changes to this bug.